# Class PromptPayAccountPayload

#### Hierarchy

- unknown
  - PromptPayAccountPayload

- Defined in src/protobuf/pb_pb.d.ts:4947
- Defined in src/protobuf/pb_pb.d.ts:4959

#####
Index

### Constructors

constructor

### Methods

getPromptPayId
serializeBinary
setPromptPayId
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new PromptPayAccountPayload(): PromptPayAccountPayload

- #### Returns PromptPayAccountPayload

  Inherited from jspb.Message.constructor

## Methods

### getPromptPayId

- getPromptPayId(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:4948

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:4951

### setPromptPayId

- setPromptPayId(value: string): PromptPayAccountPayload

- #### Parameters

  - ##### value: string

  #### Returns PromptPayAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4949

### toObject

- toObject(includeInstance?: boolean): PromptPayAccountPayload.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns PromptPayAccountPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:4952

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): PromptPayAccountPayload

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns PromptPayAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4955

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: PromptPayAccountPayload, reader: BinaryReader): PromptPayAccountPayload

- #### Parameters

  - ##### message: PromptPayAccountPayload

  - ##### reader: BinaryReader

  #### Returns PromptPayAccountPayload

  - Defined in src/protobuf/pb_pb.d.ts:4956

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: PromptPayAccountPayload, writer: BinaryWriter): void

- #### Parameters

  - ##### message: PromptPayAccountPayload

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:4954

### `Static` toObject

- toObject(includeInstance: boolean, msg: PromptPayAccountPayload): PromptPayAccountPayload.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: PromptPayAccountPayload

  #### Returns PromptPayAccountPayload.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:4953

Generated using TypeDoc